RC2 Class Reference

RC2 block cipher. More...

Inheritance diagram for RC2:

## Classes

class | Decryption
| Class specific methods used to operate the cipher in the reverse direction. More...
class | Encryption
| Class specific methods used to operate the cipher in the forward direction. More...

## Additional Inherited Members

Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface
Static Public Member Functions inherited from RC2_Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 16, 1, 128 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from RC2_Info
static const int | DEFAULT_EFFECTIVE_KEYLENGTH = 1024
static const int | MAX_EFFECTIVE_KEYLENGTH = 1024
Static Public Attributes inherited from FixedBlockSize< 8 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from VariableKeyLength< 16, 1, 128 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant. More...

## Detailed Description

RC2 block cipher.

See also
  RC2 on the Crypto Lounge.

Since
  Crypto++ 3.0

Definition at line 28 of file rc2.h.

The documentation for this class was generated from the following file:

- rc2.h